pcl::io::FrameWrapper Class Referenceabstract

Pure abstract interface to wrap native frame data types. More...

`#include <pcl/io/image_metadata_wrapper.h>`

## Public Types

using | Ptr = shared_ptr< FrameWrapper >
using | ConstPtr = shared_ptr< const FrameWrapper >

## Public Member Functions

virtual | ~FrameWrapper ()=default
virtual const void * | getData () const =0
virtual unsigned | getDataSize () const =0
virtual unsigned | getWidth () const =0
virtual unsigned | getHeight () const =0
virtual unsigned | getFrameID () const =0
virtual std::uint64_t | getTimestamp () const =0

## Detailed Description

Pure abstract interface to wrap native frame data types.

Definition at line 53 of file image_metadata_wrapper.h.

## Member Typedef Documentation

## ConstPtr

using pcl::io::FrameWrapper::ConstPtr = shared_ptr<const FrameWrapper>

Definition at line 57 of file image_metadata_wrapper.h.

## Ptr

using pcl::io::FrameWrapper::Ptr = shared_ptr<FrameWrapper>

Definition at line 56 of file image_metadata_wrapper.h.

## Constructor & Destructor Documentation

## ~FrameWrapper()

virtual pcl::io::FrameWrapper::~FrameWrapper | ( |  | ) |

virtual default

## Member Function Documentation

## getData()

virtual const void* pcl::io::FrameWrapper::getData | ( |  | ) | const

pure virtual

## getDataSize()

virtual unsigned pcl::io::FrameWrapper::getDataSize | ( |  | ) | const

pure virtual

## getFrameID()

virtual unsigned pcl::io::FrameWrapper::getFrameID | ( |  | ) | const

pure virtual

## getHeight()

virtual unsigned pcl::io::FrameWrapper::getHeight | ( |  | ) | const

pure virtual

## getTimestamp()

virtual std::uint64_t pcl::io::FrameWrapper::getTimestamp | ( |  | ) | const

pure virtual

## getWidth()

virtual unsigned pcl::io::FrameWrapper::getWidth | ( |  | ) | const

pure virtual

The documentation for this class was generated from the following file:

- pcl/io/image_metadata_wrapper.h